Page MenuHomePhabricator

decommission lvs2003.codfw.wmnet
Closed, ResolvedPublicRequest

Description

This task will track the decommission of server lvs2003.codfw.wmnet.

With the launch of updates to the decom cookbook, the majority of these steps can be handled by the service owners directly. The DC Ops team only gets involved once the system has been fully removed from service and powered down by the decommission cookbook.

lvs2003.codfw.wmnet

Steps for service owner:

  • - all system services confirmed offline from production use
  • - set all icinga checks to maint mode/disabled while reclaim/decommission takes place.
  • - remove system from all lvs/pybal active configuration
  • - any service group puppet/hiera/dsh config removed
  • - remove site.pp, replace with role(spare::system) recommended to ensure services offline but not 100% required as long as the decom script is IMMEDIATELY run below.
  • - login to cumin host and run the decom cookbook: cookbook sre.hosts.decommission <host fqdn> -t <phab task>. This does: bootloader wipe, host power down, netbox update to decommissioning status, puppet node clean, puppet node deactivate, debmonitor removal.
  • - remove all remaining puppet references (include role::spare) and all host entries in the puppet repo
  • - remove ALL dns entries except the asset tag mgmt entries.
  • - reassign task from service owner to DC ops team member depending on site of server: codfw = @Papaul, eqiad = @Jclark-ctr, all other sites = @RobH.

End service owner steps / Begin DC-Ops team steps:

  • - disable switch port / set to asset tag if host isn't being unracked / remove from switch if being unracked.
  • - system disks wiped (by onsite)
  • - determine system age, under 5 years are reclaimed to spare, over 5 years are decommissioned. If uncertain, ask @wiki_willy.
  • - IF DECOM: system unracked and decommissioned (by onsite), update netbox with result and set state to offline
  • - IF DECOM: switch port configuration removed from switch once system is unracked.
  • - IF DECOM: add system to decommission tracking google sheet
  • - IF DECOM: mgmt dns entries removed.

Details

Related Gerrit Patches:
operations/dns : masterDNS: Remove mgmt asset tag for lvs200[1-6]
operations/dns : masterRemove lvs2003 production entries
operations/puppet : productionlvs: Decomm lvs2003
operations/puppet : productionlvs: Replace lvs2003 with lvs2009

Event Timeline

Change 575224 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/puppet@production] lvs: Replace lvs2003 with lvs2009

https://gerrit.wikimedia.org/r/575224

Change 575224 merged by Vgutierrez:
[operations/puppet@production] lvs: Replace lvs2003 with lvs2009

https://gerrit.wikimedia.org/r/575224

cookbooks.sre.hosts.decommission executed by vgutierrez@cumin2001 for hosts: lvs2003.codfw.wmnet

  • lvs2003.codfw.wmnet (PASS)
    • Downtimed host on Icinga
    • Found physical host
    • Downtimed management interface on Icinga
    • Wiped bootloaders
    • Powered off
    • Set Netbox status to Decommissioning
    • Removed from DebMonitor
    • Removed from Puppet master and PuppetDB

Change 575227 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/puppet@production] lvs: Decomm lvs2003

https://gerrit.wikimedia.org/r/575227

Change 575227 merged by Vgutierrez:
[operations/puppet@production] lvs: Decomm lvs2003

https://gerrit.wikimedia.org/r/575227

Change 575232 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/dns@master] Remove lvs2003 production entries

https://gerrit.wikimedia.org/r/575232

Change 575232 merged by Vgutierrez:
[operations/dns@master] Remove lvs2003 production entries

https://gerrit.wikimedia.org/r/575232

Vgutierrez reassigned this task from Vgutierrez to Papaul.Feb 27 2020, 12:45 PM
Vgutierrez updated the task description. (Show Details)
Vgutierrez moved this task from Triage to Hardware on the Traffic board.
Papaul moved this task from Backlog to Decommission on the ops-codfw board.Feb 27 2020, 4:18 PM
RobH removed a subscriber: RobH.Feb 27 2020, 5:13 PM
Papaul updated the task description. (Show Details)Mar 5 2020, 4:44 PM
Papaul added a subscriber: RobH.
RobH removed a subscriber: RobH.Mar 5 2020, 4:55 PM
Papaul updated the task description. (Show Details)Mar 10 2020, 8:44 PM
Papaul added a subscriber: RobH.
RobH removed a subscriber: RobH.Mar 10 2020, 9:21 PM

Change 579451 had a related patch set uploaded (by Papaul; owner: Papaul):
[operations/dns@master] DNS: Remove mgmt asset tag for lvs200[1-6]

https://gerrit.wikimedia.org/r/579451

Change 579451 merged by Papaul:
[operations/dns@master] DNS: Remove mgmt asset tag for lvs200[1-6]

https://gerrit.wikimedia.org/r/579451

Papaul closed this task as Resolved.Fri, Mar 13, 1:31 AM
Papaul updated the task description. (Show Details)
Papaul added a subscriber: RobH.

Complete